-------------------------------------------------------
--! @file mux_4to1.vhd
--! @brief 4 to 1 multiplexer
--! @author Edson S. Gomi (gomi@usp.br)
--! @date 2020-03-29
-------------------------------------------------------

entity mux_4to1 is
  port (
    SEL : in bit_vector (1 downto 0);
    I : in bit_vector (3 downto 0);
    Y : out bit
    );
end entity mux_4to1;

architecture behavioral_with_select of mux_4to1 is
begin
  with SEL select
    Y <=
    I(0) when "00",
    I(1) when "01",
    I(2) when "10",
    I(3) when "11",
    '0' when others;
end behavioral_with_select;

    
